Read user details
curl --request GET \
--url https://{environment}.plugsurfing.com/drive/v1/users/{userId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/drive/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "6f36dc9b-446f-462b-aae0-95c7636d5c6c",
"email": "driver@example.com",
"language": "en",
"vatNumber": "SE123456789001",
"billingAddress": {
"line1": "Kungsgatan 1",
"city": "Stockholm",
"postalCode": "11143",
"countryCode": "SE"
},
"userGroups": []
}{
"message": "Invalid request payload",
"details": [
"field X is required"
]
}{
"message": "Resource not found"
}Users
Read user details
Getting user data based on passed userId
GET
/
drive
/
v1
/
users
/
{userId}
Read user details
curl --request GET \
--url https://{environment}.plugsurfing.com/drive/v1/users/{userId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/drive/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "6f36dc9b-446f-462b-aae0-95c7636d5c6c",
"email": "driver@example.com",
"language": "en",
"vatNumber": "SE123456789001",
"billingAddress": {
"line1": "Kungsgatan 1",
"city": "Stockholm",
"postalCode": "11143",
"countryCode": "SE"
},
"userGroups": []
}{
"message": "Invalid request payload",
"details": [
"field X is required"
]
}{
"message": "Resource not found"
}Authorizations
API key for authentication
Path Parameters
Response
OK
User profile details returned by user management endpoints.
User identifier
Example:
"b5d00e95-b998-4a33-9210-84777f4cb4f9"
true if any of the sessions payments failed. (Relevant only if clearing is done by Plugsurfing)
Example:
false
User email address.
Example:
"john.smith@plugsurfing.com"
VAT number associated with the user.
Billing address associated with the user.
Show child attributes
Show child attributes
User groups the user currently belongs to.
Show child attributes
Show child attributes